import createLoggers, { LOG_LEVEL as LOG_LEVEL_ENUM } from "@haulynx/logger";
import { name, version} from "../../package.json";
import { logLevel, nodeEnv } from "../conifg";

const { logger } = createLoggers({
    logLevel: logLevel as LOG_LEVEL_ENUM,
    appName: name,
    version,
    isLocal: nodeEnv === "local",
    isProduction: nodeEnv === "prod",
    shouldPrettyPrint: nodeEnv === "local"
    },
    true
);
export { logger };
